Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.runtime.conf
Enum QueryListenerOption

    java.lang.Object
      java.lang.Enum<QueryListenerOption>
          org.kie.api.runtime.conf.QueryListenerOption

All Implemented Interfaces:
  Serializable, Comparable<QueryListenerOption>, Option, KieSessionOption, SingleValueKieSessionOption

    public enum QueryListenerOption

extends Enum<QueryListenerOption>
implements SingleValueKieSessionOption

An enum to configure the session query listener configuration. Query results are collected by a listener class. The "STANDARD" query listener class copies and disconnects fact handles and objects for query results, making them somewhat resilient to some working memory actions. But this copying is costly. For the cases where no concurrency exists between query execution and other working memory actions, a lightweight listener implementation can be used, preventing the copy and improving query performance significantly.

Enum Constant Summary
`LIGHTWEIGHT`
`STANDARD`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the clock type configuration

Method Summary
`static QueryListenerOption` | `determineQueryListenerClassOption(String option)`
`String` | `getAsString()`
`String` | `getPropertyName()` Returns the property name for this option
`String` | `toString()`
`static QueryListenerOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryListenerOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STANDARD

    public static final QueryListenerOption STANDARD

### LIGHTWEIGHT

    public static final QueryListenerOption LIGHTWEIGHT

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the clock type configuration

  See Also:
    Constant Field Values

Method Detail

### values

    public static QueryListenerOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryListenerOption c : QueryListenerOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryListenerOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getAsString

    public String getAsString()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<QueryListenerOption>`

### determineQueryListenerClassOption

    public static QueryListenerOption determineQueryListenerClassOption(String option)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.